%define lib_major   2
%define libname %mklibname %{name}_ %{lib_major}
%define libnamedev %mklibname -d %name
%define with_doc 0

Name:           graphite2
Version:        1.0.3
Release:        %mkrel 2
Summary:        Font rendering capabilities for complex non-Roman writing systems
Group:          Development/Tools
License:        LGPLv2+
URL:            http://sourceforge.net/projects/silgraphite/
Source0:        http://downloads.sourceforge.net/silgraphite/graphite2-%{version}.tgz
BuildRequires:  cmake
BuildRequires:  freetype-devel
BuildRequires:  doxygen,texlive,asciidoc
BuildRequires:  libxml2-utils
Obsoletes:      silgraphite < 2.3.1-5

%description
Graphite2 is a project within SIL’s Non-Roman Script Initiative and Language
Software Development groups to provide rendering capabilities for complex
non-Roman writing systems. Graphite can be used to create “smart fonts” capable
of displaying writing systems with various complex behaviors. With respect to
the Text Encoding Model, Graphite handles the "Rendering" aspect of writing
system implementation.

%files
%doc LICENSE COPYING ChangeLog
%{_bindir}/gr2fonttest

#--------------------------------------------------------------------

%package -n     %{libname}
Summary:        %{summary}
Group:          System/Libraries

%description -n %{libname}
Graphite2 is a project within SIL’s Non-Roman Script Initiative and Language
Software Development groups to provide rendering capabilities for complex
non-Roman writing systems. Graphite can be used to create “smart fonts” capable
of displaying writing systems with various complex behaviors. With respect to
the Text Encoding Model, Graphite handles the "Rendering" aspect of writing
system implementation.

%files -n %{libname}
%{_libdir}/libgraphite2.so.%{lib_major}*

#--------------------------------------------------------------------

%package -n %libnamedev
Requires: %{name} = %{version}-%{release}
Summary: Files for developing with graphite2
Group:    Development/Other 
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release
Obsoletes: silgraphite-devel < 2.3.1-5

%description -n %libnamedev
Includes and definitions for developing with graphite2.

%files -n %libnamedev
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/graphite2-release.cmake
%{_datadir}/%{name}/graphite2.cmake
%{_includedir}/%{name}
%{_libdir}/libgraphite2.so
%{_libdir}/pkgconfig/graphite2.pc

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake -DENABLE_COMPARE_RENDERER=OFF ..
%make
%if %with_doc
make docs
%endif

%install
%makeinstall_std -C build
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la



%changelog

* Tue Oct 11 2011 dmorgan <dmorgan> 1.0.3-2.mga2
+ Revision: 153754
- Fix groups
- Fix provides in the devel package
- Do not build docs
- Fix BR
- Fix BR
- imported package graphite2


* Fri Sep 23 2011 Nicholas van Oudtshoorn <vanoudt@gmail.com> - 1.0.3-1
- New upstream release
* Fri Aug 26 2011 Nicholas van Oudtshoorn <vanoudt@gmail.com> - 1.0.2-3
- Obsolete silgraphite
* Fri Aug 26 2011 Nicholas van Oudtshoorn <vanoudt@gmail.com> - 1.0.2-2
- Removed dependency on silgraphite-devel
- Stopped building comparerenderer - the only thing that depended on silgraphite
* Fri Aug 19 2011 Nicholas van Oudtshoorn <vanoudt@gmail.com> - 1.0.2-1
- Rebase to new release
- SPEC Cleanup
- Documentation is now properly installed
* Wed Aug 17 2011 Nicholas van Oudtshoorn <vanoudt@gmail.com> - 1.0.1-2
- Added some necessary requires
* Wed Aug 10 2011 Nicholas van Oudtshoorn <vanoudt@gmail.com> - 1.0.1-1
- Initial build of graphite2
